org.apache.sysds.lops

## Class WeightedUnaryMM

- java.lang.Object
- - org.apache.sysds.lops.Lop
  - - org.apache.sysds.lops.WeightedUnaryMM

    public class WeightedUnaryMM
    extends Lop

### Nested Class Summary

Nested Classes
`static class` `WeightedUnaryMM.WUMMType`

### Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

`Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

### Field Summary

Fields
`static String` `OPCODE`
`static String` `OPCODE_CP`

### Fields inherited from class org.apache.sysds.lops.Lop

`_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SAMPLE_FRACTION, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

### Constructor Summary

Constructors
Constructor and Description
`WeightedUnaryMM(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedUnaryMM.WUMMType wt, Types.OpOp1 op, Types.ExecType et)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInstructions(String input1, String input2, String input3, String output)` Method should be overridden if needed
`void` `setNumThreads(int k)`
`String` `toString()` Method to have Lops print their state.

### Methods inherited from class org.apache.sysds.lops.Lop

`addInput, addOutput, addToDag, createReachable, getAggType, getBeginColumn, getBeginLine, getBroadcastInput, getDataType, getEndColumn, getEndLine, getExecType, getFilename, getID, getInputs, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getLevel, getOutputParameters, getOutputs, getPrivacyConstraint, getProducesIntermediateOutput, getReachable, getSimpleInstructionType, getType, getValueType, getVisited, isAllOutputsCP, isDataExecLocation, isVariable, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, removeOutput, replaceInput, resetVisitStatus, setAllPositions, setBeginColumn, setBeginLine, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setPrivacyConstraint, setValueType, setVisited`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OPCODE

    public static final String OPCODE

See Also:
  Constant Field Values

#### OPCODE_CP

    public static final String OPCODE_CP

See Also:
  Constant Field Values

### Constructor Detail

#### WeightedUnaryMM

    public WeightedUnaryMM(Lop input1,
                           Lop input2,
                           Lop input3,
                           Types.DataType dt,
                           Types.ValueType vt,
                           WeightedUnaryMM.WUMMType wt,
                           Types.OpOp1 op,
                           Types.ExecType et)

### Method Detail

#### toString

    public String toString()

Description copied from class: `Lop`
Method to have Lops print their state. This is for debugging purposes.

Specified by:
  `toString` in class `Lop`

#### getInstructions

    public String getInstructions(String input1,
                                  String input2,
                                  String input3,
                                  String output)

Description copied from class: `Lop`
Method should be overridden if needed

Overrides:
  `getInstructions` in class `Lop`
Parameters:
  `input1` - input 1
  `input2` - input 2
  `input3` - input 3
  `output` - output
Returns:
  instructions as string

#### setNumThreads

    public void setNumThreads(int k)